% ---- This function is the guess of the ODE solution with the help of existing solution with lower accuracy -----
function yinit = Finitwithproduction2(x)
global plbarnew qlbarnew solF
if x<solF.x(1)
      yinit=[plbarnew;qlbarnew;0;0];   % Guess a flat function outside the range
else
    yinit = deval(solF,x);  
end
